Patchmgr Fails With ":WARNING: perl XML::Parser is not installed." (Doc ID 2260970.1)

Last updated on MAY 01, 2017

Applies to:

Oracle Exadata Storage Server Software - Version 12.1.1.1.0 to 12.1.2.2.3 [Release 12.1]
Oracle Solaris on SPARC (64-bit)

Symptoms

Using patchmgr to patch exadata cells  on SuperCluster ( Or patchmgr is invoked  from Solaris Host) with "-smtp_from" and " -smtp_to" flags.

Ex # ./patchmgr -cells /root/cell_group -patch_check_prereq -smtp_from "admin@domain.com" -smtp_to "dl_admin@domain.com"
 
Fails with
  :WARNING: perl XML::Parser is not installed. Cannot continue because notification cannot be sent. Install XML::Parser package or remove -smtp_from, -smtp_to options and retry.


Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms